| Wireshark 4.7.0 The Wireshark network protocol analyzer

Loading...
Searching...
No Matches
Functions
recent_utils.h File Reference

Go to the source code of this file.

## Functions
void | add_menu_recent_capture_file (const char *cf_name, bool force)
void | menu_recent_file_write_all (FILE *rf)
void | cfilter_combo_recent_write_all (FILE *rf)
bool | dfilter_combo_add_recent (const char *dftext)
void | dfilter_recent_combo_write_all (FILE *rf)

## Detailed Description

Routines called to write stuff to the recent file; their implementations are GUI-dependent, but the API's aren't

Wireshark - Network traffic analyzer By Gerald Combs geral.nosp@m.d@wi.nosp@m.resha.nosp@m.rk.o.nosp@m.rg Copyright 1998 Gerald Combs

SPDX-License-Identifier: GPL-2.0-or-later

## Function Documentation

## ◆ add_menu_recent_capture_file()

void add_menu_recent_capture_file | ( | const char * | cf_name,
|  | bool | force
| ) |  |
| extern

Add a new recent capture filename to the "Recent Files" submenu (duplicates will be ignored)

Parameters

  cf_name | Capture filename to add
  force | If true, then prefs.gui_recent_file_count_max will be ignored when adding the file. This is for startup, when the recent_common file is read before the prefs file. (It will be corrected later when prefs are read.)

## ◆ cfilter_combo_recent_write_all()

void cfilter_combo_recent_write_all | ( | FILE * | rf | ) |
| extern

Write all non-empty capture filters (until maximum count) of the combo box GList to the user's recent file.

Parameters

  rf | the recent file

## ◆ dfilter_combo_add_recent()

bool dfilter_combo_add_recent | ( | const char * | dftext | ) |
| extern

Add a display filter coming from the user's recent file to the dfilter combo box.

Parameters

  dftext | the filter string

## ◆ dfilter_recent_combo_write_all()

void dfilter_recent_combo_write_all | ( | FILE * | rf | ) |
| extern

Write all non-empty display filters (until maximum count) of the combo box GList to the user's recent file.

Parameters

  rf | the recent file

## ◆ menu_recent_file_write_all()

void menu_recent_file_write_all | ( | FILE * | rf | ) |
| extern

Write all recent capture filenames to the user's recent file.

Parameters

  rf | recent file